OESF | ELSI | pdaXrom | OpenZaurus | Zaurus Themes | Community Links | Ibiblio

IPB

Welcome Guest ( Log In | Register )

5 Pages V  < 1 2 3 4 > »   
Reply to this topicStart new topic
> Pdaxqtrom & Apps, Started new thread
Meanie
post May 3 2006, 08:09 PM
Post #16





Group: Members
Posts: 2,808
Joined: 21-March 05
From: Sydney, Australia
Member No.: 6,686



QUOTE(Jon_J @ Apr 28 2006, 02:13 AM)
After using some of the apps, I've made some more observations.

Xpdf takes some "getting used to". Fn+click brings up a menu.
'O' (or 'o') opens the file open dialog. It took me some time to navagate to my /pdf directory.
I opened several *.PDF files with no problem. Some were slower than others.
Xpdf actually, partially opened my troublesome map of Illinois. (Maybe I didn't wait long enough)
This PDF map requires Picsel Browser to open otherwise.

Gimp has a dialog that pops up stating it requires FreeType 2.1.7 or later.
This dialog says Gimp is using FreeType 2.1.5
Gimp will not launch. I haven't tried locating a newer version of FreeType.
Installing FreeType 2.1.7 or later should fix this, I'm not sure how this is done, as all my apps are in a readonly cramfs image.

TuxPaint doesn't launch, I just noticed it isn't included, although it is listed in the "Multimedia" menu under X applications.

FileManager is also missing. It won't launch from the pdaXqtrom menu. I would think pdaXqtrom would have a file manager.

Firefox has a problem with the "Prefrences" settings dialog. (see pic)
It is too large and extends off the top and bottom of the screen, (in landscape, I didn't try rotating my C3100's screen to portrait).
There is no access to the [OK] [Cancel] dialogs after making settings changes.
The cancel button on my keyboard closes the dialog.
Does the 'OK' or [Enter] button on the keyboard equal the [OK] on the dialog?
Also I have not figured out how to navagate the file directory when trying to open an offline HTML file.
I could type the path into the location box to open an offline file,
but I've got a bad memory and I have to switch to a file manager to find the paths or write them down.

These are just observations.
I'm not complaining, and I think Meanie has gone to great lengths to just get these things working on our Zaurii. smile.gif
*


pdaXtqrom comes with freetype 2 0.17 but you might have an older version lying around which got used instead.
i decided not to include tuxpaint
flfm and rox are now available in the new version
i will need to recompile firefox to fix the preference dialog box. not done yet. will be done later if time permits. ok/cancel should work though
standard URL syntax: file:///mnt/card...
Go to the top of the page
 
+Quote Post
Meanie
post May 3 2006, 08:23 PM
Post #17





Group: Members
Posts: 2,808
Joined: 21-March 05
From: Sydney, Australia
Member No.: 6,686



QUOTE(freebird @ May 4 2006, 02:47 AM)
QUOTE(Meanie @ May 2 2006, 11:00 PM)
New updated version is now ready for testing. lots of enhancements and fixes...
http://zaurus.daemons.gr/menaie/mirror/jum....html#pdaxqtrom
*

Hi all
The pdaxqtrom-base-cramfs seems to be corrupted it is only 94k !!!

btw: what is the deference between cramfs and squashfs
and is it the same code to mount i mean: mount -o loop xxxx.squashfs /mnt/


freebird
*



sorry about that. my network dropped during my file uploads. hopefully all the files are up now.

the difference between cramfs and squashfs is that squashfs has better compression and thus is smaller and thus uses less space smile.gif
so why did I provide two versions? welll, cramfs is supported by all the ROMs/distros by default so everyone can use it without hassle. squashfs is not supported out of the box by all distros but most have a kernel module available that you can install to enable squashfs support. mounting them is the same. the mount command in most distros is smart enough to detect and load the proper modules for the loop devices. if you have a braindead version of mount, then you can use the -t option to tell it what to use, ie -t cramfs, -t squashfs, -t ext2, etc...
well, I am also planning to release a tgz version which basically installs to an ext2/ext3 partition directly without using a loop device but this version I will hold back on until later.
Go to the top of the page
 
+Quote Post
Meanie
post May 3 2006, 08:27 PM
Post #18





Group: Members
Posts: 2,808
Joined: 21-March 05
From: Sydney, Australia
Member No.: 6,686



QUOTE(Jon_J @ May 4 2006, 06:09 AM)
QUOTE(adf @ May 3 2006, 02:54 PM)
how's the speed on the pdaxqtrom stuff?  My ealier xqt/debian experience was disappointing....firefox was awfully slow. Are we seeing improvements here?  I ask, because this would be really nice add-on to an updated guylhem-rom on my 6000 (i hope).
*

Sorry, I don't know yet. The base shell seems to take about as long to launch.
I haven't downloaded the apps yet. I'll have to wait till tonight to download these.
(My download was interrupted last night by a storm). I have the base installed as mentioned above in my previous post.
I already have the previous version of apps, but these are in cramfs, and this newer pdaXqtrom is squashfs.
*



That's good smile.gif because its actually loading a lot more stuff now. For those who only want English, you probably don't like this but it now loads an IM engine to allow you to input different languages, ie Japanese and Chinese
Go to the top of the page
 
+Quote Post
Meanie
post May 3 2006, 08:42 PM
Post #19





Group: Members
Posts: 2,808
Joined: 21-March 05
From: Sydney, Australia
Member No.: 6,686



QUOTE(Jon_J @ May 4 2006, 03:51 AM)
freebird, download it again. My copy is 35.6MB (cramfs ver)

Meanie, the new version is squashfs.
I haven't used the zgcc2-95-2 on my Zaurus, but now with the new squashfs version, will zgcc2-95-2.cramfs work with it?
There doesn't seem to be a zgcc2-95-2.squashfs available now.

I installed the new version to my hard drive /hdd3/xqt
It seems to run fine this way. Now I don't need to always have a card inserted. (I can leave my Picsel card in the slot).
I have a couple questions.
Install said I have an older version of automounter installed.
I do have automounter 0.4.7 installed, but there seem to be two versions of this version.
One is dated March 1 (3/1/06)
One is dated April 1 (4/1/06)
I just downloaded the latest version, automounter-c3000_0.4.7_arm.zip (4/1/06)
I'm afraid to uninstall the old version, so I can install the new one.
(Uninstalling it broke my cacko automount, the last time I uninstalled it)
How can I just copy the new binaries over the old ones? (There isn't a tar.gz inside the IPK)
I may not need the new version installed, since the version I have now, seems to work at the moment.

What is the X/QT embedded icon used for? It launches a gray screen, with no right-clickable options.
I didn't download the new pdaXqtrom-apps.squashfs yet. My connection got dropped in last night's storm.
I'll download it later tonight.
Since I have a basically clean install, can I install just any pdaXrom app from the pdaXrom feeds?
I would like to try some of the games compiled for pdaXrom.
Thank you,
Jobn
*


you can mix the cramfs/squashfs files. it does not matter as long as you have one of them. the main difference between them is the size. the content is the same as long as you have the same version of the cramfs/squashfs image of course . each image has a version script. just cd to the mounted image and do a ./version - the current version is beta 0.7.6

the X/Qt embedded icon is just like the X/Qt Server icon. don't click on it but also don't remove it either. both are needed for launching the apps. the icon you see on the taskbar when X/Qt is running is taken from those two depending on which it is running in.
yes, you can install the apps. I tried to clean them up, but I got tired and might have missed cleaning a few of them so you might need to tweak them a bit after installation, ie run the mkqticon script.
i also just compiled the latest grisbi 0.5.8 so its not available on the apps image yet but you can add it by simply installing the ipk file once I upload it smile.gif
Go to the top of the page
 
+Quote Post
thurifer13
post May 6 2006, 04:19 PM
Post #20





Group: Members
Posts: 3
Joined: 10-March 06
Member No.: 9,335



Meanie, firstly thanks, thanks, thanks, for all your wonderful work. Finding your website was the last element to fall into place in the decision making process I went through regarding replacing my old PalmOS device with something more capable.

However, I am struggling with this X stuff. I switched from pdaxrom because it just wasn't stable enough and was too slow in some areas. However, I really do need the email handling of something like sylpheed and the wordprocessing capabilities of abiword or better.

Since switching to Cacko (1.23) I have never once been able to get Abiword to work and while Sylpheed ran under X/Qt, it isn't now that I have switched to PdaXqtrom sad.gif

Sylpheed gives lots of GdxPixbuf warnings about 'xpm' images not being supported and the failure then to load the images.

But then it comes up with 3 GtK-CRITICALs:

gtk_pixmap_new: assertion `val != NULL' failed

gtk_box_pack_start: assertion `GTK_IS_WIDGET (child)' failed

gtk_box_reorder_child: assertion `GTK_IS_WIDGET (child)' failed

and then ends with a segmentation fault.

(These look like the symbol after the assertion is a grave (`) and the one before failed is an apostrophe ('). Is this how they should be? Or does this point to the problem?)

Abiword has a pixbuf warning and then three CRITICALs:

gtk_icon_set_new_from_pixbuf: assertion `pixbuf != NULL' failed

gtk_icon_factory_add: assertion `icon_set != NULL' failed

gtk_icon_set_unref: assertion `icon_set != NULL' failed

and then the message Aborted comes up.

This is all on a fresh reinstall of Cacko.

----------------------------------------------
Later:

Hmmmmmm,

then I loaded some additional programs. Included was the gdk-pixbuf package from cacko with its cacko gtk and xlibs dependencies.

Now all the pixbuf and icon warnings and criticals are gone biggrin.gif
but I now have the "error while loading shared libraries: /home/QtPalmtop/lib/libgtk-x11-2.0.so.0: undefined symbol: g_option_context_new" error and now programs that did work (like gnumeric) don't. sad.gif

Note that this particular file is still a link to the pdaXqtrom-base file!!! It hasn't changed. So it must be something else which is connected to libgtk which has changed... yes???

Should I try to install the cacko gdk-pixbuf package without its dependencies with the --force switch? Do you have a gdk-pixbuf package in the pdaXqtrom image? Maybe its not being linked correctly? Or ... ?

Doug
Go to the top of the page
 
+Quote Post
Meanie
post May 6 2006, 05:13 PM
Post #21





Group: Members
Posts: 2,808
Joined: 21-March 05
From: Sydney, Australia
Member No.: 6,686



Cacko does not have X/Qt packages. The packages you may see in some Cacko mirrors are the older xqt packages. Your problem is that it is picking up an older version of glib2. pixbuf etc, are part of the gtk2 libraries which depend on glib2 libraries. Seems like you have an older glib2 library lying around that is loaded before the pdaxqtrom one and causing all these problems. some programs can run fine with the older glib2 libraries and hence some apps work for you, but others require the newer lib.

you had older gtk/glib libraries installed before which tricked pdaXqtrom into believing that the correct version was already installed. then you force installed even more older libraries which broke even more apps.
try running the xqtcleanup script and then make sure there is no more libglib* under /usr/lib/ and then try again.
Go to the top of the page
 
+Quote Post
adf
post May 19 2006, 09:55 AM
Post #22





Group: Members
Posts: 2,821
Joined: 13-September 04
From: Wasilla Ak.
Member No.: 4,572



just installed pdaxqtrom base and apps using the cramfs and the script on my 3100 sharprom/tetsu.
put the cramfs on /hdd3 (formatted fat32)
the icons don't fully launch anything
sudo is installed

doing "startx" in a console give me an xqt screen that crashes, saying:
fluxbox: error while loading shared libraries: /home.QtPalmtop/lib/libfontconfig.so.1: undefined symbol :FT_Get_PS_Font_info

I haven't installed automounter yet.


I gather the problem is an unconfigured (though I ran ldconfig) lib, or an uninstalled one.

Anyone got a fix?
Go to the top of the page
 
+Quote Post
adf
post May 19 2006, 12:22 PM
Post #23





Group: Members
Posts: 2,821
Joined: 13-September 04
From: Wasilla Ak.
Member No.: 4,572



QUOTE(adf @ May 19 2006, 05:55 PM)
just installed pdaxqtrom base and apps using the cramfs and the script on my 3100 sharprom/tetsu.
put the cramfs on /hdd3 (formatted fat32)
the icons don't fully launch anything
sudo is installed

doing "startx" in a console give me an xqt screen that crashes, saying:
fluxbox: error while loading shared libraries: /home.QtPalmtop/lib/libfontconfig.so.1: undefined symbol :FT_Get_PS_Font_info

I haven't installed automounter yet.


I gather the problem is an unconfigured (though I ran ldconfig) lib, or an uninstalled one.

Anyone got a fix?
*

I grabbed some liley looking libs from cacko. xqt loads, but dillo segfaults, and firefox does nothng
Go to the top of the page
 
+Quote Post
adf
post May 20 2006, 02:31 PM
Post #24





Group: Members
Posts: 2,821
Joined: 13-September 04
From: Wasilla Ak.
Member No.: 4,572



Fixed. Just a matter of finding libraries.

on the Apps side, though, firefox could use some plugins. I had guesssed that since meanie had gotten java to work on firefox that we'd at least see that.

Would it be unreasonable to ask for firefox with a java plugin, gplflash1 (2 seems buggy still) and the mplayer plugin in the next apps cramfs?

Is it possible to get plugins going inthe cramfs apps version?

The sharprom/pdaxqtrom/tetsu is an excellent option for my 3100. The thing is, firefox without plugins isn't really much better than opera when you consider the long load times under xqt. I had hoped to see opera/netfront as quick opening modestly powered solutions on sharprom, and a loaded firefox on pdaXqt as a high end alternative.
Still the tabbed X setup w/ pdax apps reallly adds to the qt 1.5 rom. Nice job!
Go to the top of the page
 
+Quote Post
Meanie
post May 20 2006, 11:21 PM
Post #25





Group: Members
Posts: 2,808
Joined: 21-March 05
From: Sydney, Australia
Member No.: 6,686



QUOTE(adf @ May 21 2006, 08:31 AM)
Fixed.  Just a matter of finding libraries.

on the Apps side, though, firefox could use some plugins.  I had guesssed that since meanie had gotten java to work on firefox that we'd at least see that.

Would it be unreasonable to ask for firefox with a java plugin, gplflash1 (2 seems buggy still) and the mplayer plugin in the next apps cramfs?

Is it possible to get plugins going inthe cramfs apps version?

The sharprom/pdaxqtrom/tetsu is an excellent option for my 3100. The thing is, firefox without plugins isn't really much better than opera when you consider the long load times under xqt. I had hoped to see opera/netfront as quick opening modestly powered solutions on sharprom, and a loaded firefox on pdaXqt as a high end alternative.
Still the tabbed X setup w/ pdax apps reallly adds to the qt 1.5 rom.  Nice job!
*


java is not working properly yet so until it does i am not going to bundle a plugin for it.

jamvm 1.4.2 is stable but requires classpath.
classpath 0.20 is working for some apps
classpath 0.90 is still crashing
when jedit works properly, then i will consider classpath to be reasonable stable
then i will make the firefox plugin
have to build new version of mplayer to work with plugin because bvdd version of mplayer will not work embedded in firefox, so have to build mplayer first before building mplayer plugin
gplflash, well, it takes time to build all this.
it takes hours to compile little apps on a Zaurus.
it is much faster to compile things on a big powerfull desktop, but for that i need to be at home where all my PCs are, but i am not there much...
Go to the top of the page
 
+Quote Post
adf
post May 20 2006, 11:50 PM
Post #26





Group: Members
Posts: 2,821
Joined: 13-September 04
From: Wasilla Ak.
Member No.: 4,572



I guessed java might be a problem.

why not tunnel to a desktop computer and do things over secure shell, if you are inclined? Of course, if you are pointedly away from the computers or otherwise occupied it isn't a very good idea...

there are suitable static mplayers around, if that is what is needed.
Go to the top of the page
 
+Quote Post
Thirrouard
post May 22 2006, 02:37 PM
Post #27





Group: Members
Posts: 9
Joined: 2-February 06
Member No.: 9,052



Meanie? Why don't you provide the squashfs version anymore?
Is it in order to provide just a single files?
Anyway I didnt had problem with squashfs, and as its smaller and faster, I prefer this to cramfs... How can I do a squashfs from the cramfs you provide?
I can't find the OOo image anymore, I'm wondering if I look at the right place tongue.gif
The place I find your pdaXqtrom files is here: http://www.thegrinder.ws/Meanies_XQT/pdaxqtrom/

Is this the version 0.7.8?
[ ] pdaXqtrom-apps.cramfs 15-May-2006 14:08 68.9M
[ ] pdaXqtrom-base.cramfs 15-May-2006 13:34 51.0M
Go to the top of the page
 
+Quote Post
Meanie
post May 22 2006, 06:25 PM
Post #28





Group: Members
Posts: 2,808
Joined: 21-March 05
From: Sydney, Australia
Member No.: 6,686



QUOTE(Thirrouard @ May 23 2006, 08:37 AM)
Meanie? Why don't you provide the squashfs version anymore?
Is it in order to provide just a single files?
Anyway I didnt had problem with squashfs, and as its smaller  and faster, I prefer this to cramfs... How can I do a squashfs from the cramfs you provide?
I can't find  the OOo image anymore, I'm wondering if I look at the right place tongue.gif
The place I find your pdaXqtrom files is here: http://www.thegrinder.ws/Meanies_XQT/pdaxqtrom/

Is this the version 0.7.8?
[  ] pdaXqtrom-apps.cramfs  15-May-2006 14:08  68.9M 
[  ] pdaXqtrom-base.cramfs  15-May-2006 13:34  51.0M
*


well, its because I haven't had time to do so yet. it takes me about 4 hours to upload them and that's quite expensive over gprs or from an internet cafe.
i am on the road most the time and currently in melbourne. i am not even sure yet where I will be next week.
yes, the above is 0.7.8 and currently the latest. i am working on 0.7.9 which will add java and plugins...
the ooo files got lost during the restructure of thegrinder sad.gif i will need to re-upload when i have time.
in the meantime, you can try the following: http://zaurus.daemons.gr/menaie/pdaxrom/ this openoffice image works for both pdaXrom and X/Qt
Go to the top of the page
 
+Quote Post
adf
post May 25 2006, 11:53 AM
Post #29





Group: Members
Posts: 2,821
Joined: 13-September 04
From: Wasilla Ak.
Member No.: 4,572



I can't seem to do secure-shell X forwarding from my Z to a desktop in pdaxqtrom. I kep getting "cannot open display" errors. It looks suspiciously like xforwading is maybe not turned on in the sshd.config? How would I fix this is a cramfs? Or, possibly, if this is indeed the issue, could it be fixed so forwarding is on as a default in the next release?

If I'm wrong about the problem, any other ideas to get xforwarding from my z to a desktop in pdaxqt?

currently cacko/pdaxqt z 3100 (sharprom was being a painn, so i flased to cacko--much easier)
Go to the top of the page
 
+Quote Post
moe
post May 26 2006, 12:33 AM
Post #30





Group: Members
Posts: 16
Joined: 17-May 06
Member No.: 9,886



Seems I also have a gtk related problem..
After a clean install of Cacko light 1.23 on C1000, I installed Xqt using the 5/15 build.

In this setup, abiword, GIMP, FileManager, Rox, GAIM, SCIM and some other programs failed to launch.. almost all of them encounter error related to gtk library..

Since I am a newbie to both linux and zaurus, I have no idea how to isolate the problem.. could you give me any advice?
Go to the top of the page
 
+Quote Post

5 Pages V  < 1 2 3 4 > » 
Reply to this topicStart new topic
1 User(s) are reading this topic (1 Guests and 0 Anonymous Users)
0 Members:

 



RSS Lo-Fi Version Time is now: 1st September 2014 - 10:41 AM